diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA224.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA224.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA224.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA224.h	2024-03-26 13:31:44.400849019 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA224 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.cpp	2024-03-26 13:31:44.400849019 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA256.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -58,4 +60,6 @@ void CryptoAlgorithmSHA256::digest(Vecto
     });
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.h	2024-03-26 13:31:44.400849019 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA256 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.cpp	2024-03-26 13:31:44.400849019 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA384.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -58,4 +60,6 @@ void CryptoAlgorithmSHA384::digest(Vecto
     });
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.h	2024-03-26 13:31:44.400849019 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA384 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.cpp	2024-03-26 13:31:44.400849019 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA512.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -58,4 +60,6 @@ void CryptoAlgorithmSHA512::digest(Vecto
     });
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.h	2024-03-26 13:31:44.404182383 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA512 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.cpp	2024-03-26 13:31:44.404182383 -0500
@@ -20,6 +20,8 @@
 #include "config.h"
 #include "CryptoAlgorithmX25519.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcKeyParams.h"
 #include "CryptoAlgorithmX25519Params.h"
 #include "CryptoKeyOKP.h"
@@ -225,3 +227,5 @@ void CryptoAlgorithmX25519::exportKey(Cr
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.h	2024-03-26 13:31:44.404182383 -0500
@@ -21,6 +21,7 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
 namespace WebCore {
 
 class CryptoKeyOKP;
@@ -44,3 +45,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CommonCryptoUtilities.cpp webkitgtk-2.44.0/Source/WebCore/crypto/CommonCryptoUtilities.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CommonCryptoUtilities.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CommonCryptoUtilities.cpp	2024-03-26 13:31:44.404182383 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CommonCryptoUtilities.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 bool getCommonCryptoDigestAlgorithm(CryptoAlgorithmIdentifier hashFunction, CCDigestAlgorithm& algorithm)
@@ -54,3 +56,5 @@ ALLOW_DEPRECATED_DECLARATIONS_END
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CommonCryptoUtilities.h webkitgtk-2.44.0/Source/WebCore/crypto/CommonCryptoUtilities.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CommonCryptoUtilities.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CommonCryptoUtilities.h	2024-03-26 13:31:44.404182383 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmIdentifier.h"
 #include <CommonCrypto/CommonCryptor.h>
 #include <CommonCrypto/CommonRandom.h>
@@ -36,3 +38,5 @@ namespace WebCore {
 bool getCommonCryptoDigestAlgorithm(CryptoAlgorithmIdentifier, CCDigestAlgorithm&);
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithm.cpp webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithm.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithm.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithm.cpp	2024-03-26 13:31:44.404182383 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 
 namespace WebCore {
@@ -116,4 +118,6 @@ void CryptoAlgorithm::dispatchOperationI
     dispatchAlgorithmOperation(workQueue, context, WTFMove(callback), WTFMove(exceptionCallback), WTFMove(operation));
 }
 
-} // namespace WebCore
+}
+
+#endif
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithm.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithm.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithm.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithm.h	2024-03-26 13:31:44.407515745 -0500
@@ -37,6 +37,8 @@
 #include <wtf/Vector.h>
 #include <wtf/WorkQueue.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmParameters;
@@ -80,3 +82,5 @@ public:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmIdentifier.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmIdentifier.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmIdentifier.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmIdentifier.h	2024-03-26 13:31:44.407515745 -0500
@@ -25,9 +25,11 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
-enum class CryptoAlgorithmIdentifier : uint8_t {
+enum class CryptoAlgorithmIdentifier {
     RSAES_PKCS1_v1_5 = 1,
     RSASSA_PKCS1_v1_5,
     RSA_PSS,
@@ -52,3 +54,5 @@ enum class CryptoAlgorithmIdentifier : u
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmParameters.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmParameters.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmParameters.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmParameters.h	2024-03-26 13:31:44.407515745 -0500
@@ -29,12 +29,14 @@
 #include <wtf/TypeCasts.h>
 #include <wtf/text/WTFString.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmParameters {
     WTF_MAKE_FAST_ALLOCATED;
 public:
-    enum class Class : uint8_t {
+    enum class Class {
         None,
         AesCbcCfbParams,
         AesCtrParams,
@@ -69,3 +71,5 @@ public:
 SPECIALIZE_TYPE_TRAITS_BEGIN(WebCore::CryptoAlgorithm##ToClassName) \
 static bool isType(const WebCore::CryptoAlgorithmParameters& parameters) { return parameters.parametersClass() == WebCore::CryptoAlgorithmParameters::Class::ToClassName; } \
 SPECIALIZE_TYPE_TRAITS_END()
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmParameters.idl webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmParameters.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmParameters.idl	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmParameters.idl	2024-03-26 13:31:44.407515745 -0500
@@ -23,6 +23,8 @@
  * THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-dictionary CryptoAlgorithmParameters {
+[
+    Conditional=WEB_CRYPTO,
+] dictionary CryptoAlgorithmParameters {
     required DOMString name;
 };
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmRegistry.cpp webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmRegistry.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmRegistry.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmRegistry.cpp	2024-03-26 13:31:44.407515745 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRegistry.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithm.h"
 #include <wtf/NeverDestroyed.h>
 
@@ -96,3 +98,5 @@ void CryptoAlgorithmRegistry::registerAl
 
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmRegistry.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmRegistry.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoAlgorithmRegistry.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoAlgorithmRegistry.h	2024-03-26 13:31:44.407515745 -0500
@@ -32,6 +32,8 @@
 #include <wtf/Noncopyable.h>
 #include <wtf/text/StringHash.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithm;
@@ -67,3 +69,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKey.cpp webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKey.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKey.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKey.cpp	2024-03-26 13:31:44.407515745 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKey.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "WebCoreOpaqueRoot.h"
 #include <wtf/CryptographicallyRandomNumber.h>
@@ -80,3 +82,5 @@ Vector<uint8_t> CryptoKey::randomData(si
 #endif
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyFormat.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyFormat.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyFormat.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyFormat.h	2024-03-26 13:31:44.407515745 -0500
@@ -25,13 +25,17 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
-enum class CryptoKeyFormat : uint8_t {
+enum class CryptoKeyFormat {
     Raw,
     Spki,
     Pkcs8,
     Jwk
 };
 
-} // namespace WebCore
+}
+
+#endif
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKey.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKey.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKey.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKey.h	2024-03-26 13:31:44.410849108 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAesKeyAlgorithm.h"
 #include "CryptoAlgorithmIdentifier.h"
 #include "CryptoEcKeyAlgorithm.h"
@@ -96,3 +98,5 @@ WebCoreOpaqueRoot root(CryptoKey*);
 SPECIALIZE_TYPE_TRAITS_BEGIN(WebCore::ToClassName) \
     static bool isType(const WebCore::CryptoKey& key) { return key.keyClass() == WebCore::KeyClass; } \
 SPECIALIZE_TYPE_TRAITS_END()
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKey.idl webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKey.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKey.idl	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKey.idl	2024-03-26 13:31:44.410849108 -0500
@@ -32,6 +32,7 @@ enum KeyType {
 typedef (CryptoKeyAlgorithm or CryptoAesKeyAlgorithm or CryptoEcKeyAlgorithm or CryptoHmacKeyAlgorithm or CryptoRsaHashedKeyAlgorithm or CryptoRsaKeyAlgorithm) KeyAlgorithm;
 
 [
+    Conditional=WEB_CRYPTO,
     Exposed=(Window,Worker),
     GenerateIsReachable=Impl,
     SecureContext,
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyPair.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyPair.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyPair.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyPair.h	2024-03-26 13:31:44.410849108 -0500
@@ -27,6 +27,8 @@
 
 #include <wtf/RefPtr.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKey;
@@ -37,3 +39,5 @@ struct CryptoKeyPair {
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyPair.idl webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyPair.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyPair.idl	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyPair.idl	2024-03-26 13:31:44.410849108 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoKeyPair {
     CryptoKey publicKey;
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyType.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyType.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyType.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyType.h	2024-03-26 13:31:44.410849108 -0500
@@ -25,12 +25,16 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
-enum class CryptoKeyType : uint8_t {
+enum class CryptoKeyType {
     Public,
     Private,
     Secret
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyUsage.h webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyUsage.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyUsage.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyUsage.h	2024-03-26 13:31:44.410849108 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 enum {
@@ -53,3 +55,5 @@ enum class CryptoKeyUsage {
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyUsage.idl webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyUsage.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/CryptoKeyUsage.idl	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/CryptoKeyUsage.idl	2024-03-26 13:31:44.410849108 -0500
@@ -23,7 +23,9 @@
  * THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-enum CryptoKeyUsage {
+[
+    Conditional=WEB_CRYPTO,
+] enum CryptoKeyUsage {
     "encrypt",
     "decrypt",
     "sign",
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDHGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDHGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDHGCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDHGCrypt.cpp	2024-03-26 13:31:44.410849108 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDH.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyEC.h"
 #include "GCryptUtilities.h"
 #include <pal/crypto/gcrypt/Handle.h>
@@ -104,3 +106,5 @@ std::optional<Vector<uint8_t>> CryptoAlg
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDSAGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDSAGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDSAGCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDSAGCrypt.cpp	2024-03-26 13:31:44.410849108 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcdsaParams.h"
 #include "CryptoKeyEC.h"
 #include "GCryptUtilities.h"
@@ -185,3 +187,5 @@ ExceptionOr<bool> CryptoAlgorithmECDSA::
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmEd25519GCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmEd25519GCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmEd25519GCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmEd25519GCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -20,6 +20,8 @@
 #include "config.h"
 #include "CryptoAlgorithmEd25519.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyOKP.h"
 #include "GCryptUtilities.h"
 
@@ -153,4 +155,5 @@ ExceptionOr<bool> CryptoAlgorithmEd25519
     return verifyEd25519(key.platformKey(), key.keySizeInBytes(), signature, data);
 }
 
-} // namespace WebCore
+}
+#endif
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHKDFGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHKDFGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHKDFGCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHKDFGCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHKDF.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHkdfParams.h"
 #include "CryptoKeyRaw.h"
 #include "GCryptUtilities.h"
@@ -159,3 +161,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHMACGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHMACGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHMACGCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHMACGCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -29,6 +29,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHMAC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyHMAC.h"
 #include <pal/crypto/gcrypt/Handle.h>
 #include <wtf/CryptographicUtilities.h>
@@ -105,4 +107,6 @@ ExceptionOr<bool> CryptoAlgorithmHMAC::p
     return signature.size() == expectedSignature->size() && !constantTimeMemcmp(expectedSignature->data(), signature.data(), expectedSignature->size());
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmPBKDF2GCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmPBKDF2GCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmPBKDF2GCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmPBKDF2GCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmPBKDF2.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmPbkdf2Params.h"
 #include "CryptoKeyRaw.h"
 #include "GCryptUtilities.h"
@@ -64,3 +66,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRegistryGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRegistryGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRegistryGCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRegistryGCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -26,6 +26,7 @@
 #include "config.h"
 #include "CryptoAlgorithmRegistry.h"
 
+#if ENABLE(WEB_CRYPTO)
 #include "CryptoAlgorithmAESCBC.h"
 #include "CryptoAlgorithmAESCTR.h"
 #include "CryptoAlgorithmAESGCM.h"
@@ -73,4 +74,6 @@ void CryptoAlgorithmRegistry::platformRe
     registerAlgorithm<CryptoAlgorithmX25519>();
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSAES_PKCS1_v1_5GCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSAES_PKCS1_v1_5GCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSAES_PKCS1_v1_5GCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSAES_PKCS1_v1_5GCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSAES_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyRSA.h"
 #include "GCryptUtilities.h"
 
@@ -109,3 +111,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_OAEPGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_OAEPGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_OAEPGCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_OAEPGCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_OAEP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaOaepParams.h"
 #include "CryptoKeyRSA.h"
 #include "GCryptUtilities.h"
@@ -126,3 +128,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_PSSGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_PSSGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_PSSGCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_PSSGCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_PSS.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaPssParams.h"
 #include "CryptoKeyRSA.h"
 #include "GCryptUtilities.h"
@@ -152,3 +154,5 @@ ExceptionOr<bool> CryptoAlgorithmRSA_PSS
 
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSASSA_PKCS1_v1_5GCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSASSA_PKCS1_v1_5GCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSASSA_PKCS1_v1_5GCrypt.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSASSA_PKCS1_v1_5GCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -27,6 +27,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSASSA_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyRSA.h"
 #include "GCryptUtilities.h"
 #include "NotImplemented.h"
@@ -150,3 +152,5 @@ ExceptionOr<bool> CryptoAlgorithmRSASSA_
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmX25519GCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmX25519GCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoAlgorithmX25519GCrypt.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmX25519GCrypt.cpp	2024-03-26 13:31:44.414182471 -0500
@@ -20,6 +20,8 @@
 #include "config.h"
 #include "CryptoAlgorithmX25519.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyOKP.h"
 #include "GCryptRFC7748.h"
 #include <pal/crypto/gcrypt/Handle.h>
@@ -38,3 +40,6 @@ std::optional<Vector<uint8_t>> CryptoAlg
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
+
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoKeyECGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoKeyECGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoKeyECGCrypt.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoKeyECGCrypt.cpp	2024-03-26 13:31:44.417515833 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyEC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyPair.h"
 #include "GCryptUtilities.h"
 #include "JsonWebKey.h"
@@ -726,3 +728,5 @@ Vector<uint8_t> CryptoKeyEC::platformExp
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoKeyOKPGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoKeyOKPGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoKeyOKPGCrypt.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoKeyOKPGCrypt.cpp	2024-03-26 13:31:44.417515833 -0500
@@ -20,6 +20,8 @@
 #include "config.h"
 #include "CryptoKeyOKP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyPair.h"
 #include "GCryptRFC7748.h"
 #include "GCryptRFC8032.h"
@@ -512,3 +514,5 @@ Vector<uint8_t> CryptoKeyOKP::platformEx
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoKeyRSAGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoKeyRSAGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/CryptoKeyRSAGCrypt.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/CryptoKeyRSAGCrypt.cpp	2024-03-26 13:31:44.417515833 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyRSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "CryptoKeyPair.h"
 #include "CryptoKeyRSAComponents.h"
@@ -708,3 +710,5 @@ std::unique_ptr<CryptoKeyRSAComponents>
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/SerializedCryptoKeyWrapGCrypt.cpp webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/SerializedCryptoKeyWrapGCrypt.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/gcrypt/SerializedCryptoKeyWrapGCrypt.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/gcrypt/SerializedCryptoKeyWrapGCrypt.cpp	2024-03-26 13:31:44.417515833 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "SerializedCryptoKeyWrap.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "NotImplemented.h"
 
 namespace WebCore {
@@ -59,4 +61,6 @@ bool unwrapSerializedCryptoKey(const Vec
     return true;
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/JsonWebKey.h webkitgtk-2.44.0/Source/WebCore/crypto/JsonWebKey.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/JsonWebKey.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/JsonWebKey.h	2024-03-26 13:31:44.420849197 -0500
@@ -29,6 +29,8 @@
 #include "RsaOtherPrimesInfo.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 struct JsonWebKey {
@@ -57,3 +59,5 @@ struct JsonWebKey {
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/JsonWebKey.idl webkitgtk-2.44.0/Source/WebCore/crypto/JsonWebKey.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/JsonWebKey.idl	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/JsonWebKey.idl	2024-03-26 13:31:44.420849197 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject,
 ] dictionary JsonWebKey {
     // The following fields are defined in Section 3.1 of JSON Web Key
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoAesKeyAlgorithm.idl webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoAesKeyAlgorithm.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoAesKeyAlgorithm.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoAesKeyAlgorithm.idl	2024-03-26 13:31:44.420849197 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoAesKeyAlgorithm : CryptoKeyAlgorithm {
     // The length, in bits, of the key.
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoEcKeyAlgorithm.idl webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoEcKeyAlgorithm.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoEcKeyAlgorithm.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoEcKeyAlgorithm.idl	2024-03-26 13:31:44.420849197 -0500
@@ -26,6 +26,7 @@
 typedef DOMString NamedCurve;
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoEcKeyAlgorithm : CryptoKeyAlgorithm {
     // The named curve that the key uses
